/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLDirectoryElement_H__
#define __GdomHTMLDirectoryElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLDirectoryElement GdomHTMLDirectoryElement;
typedef struct _GdomHTMLDirectoryElementClass GdomHTMLDirectoryElementClass;


#define GDOM_TYPE_HTML_DIRECTORY_ELEMENT            (gdom_html_directory_element_get_type())
#define GDOM_HTML_DIRECTORY_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_DIRECTORY_ELEMENT, GdomHTMLDirectoryElement))
#define GDOM_HTML_DIRECTORY_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_DIRECTORY_ELEMENT, GdomHTMLDirectoryElement)Class)
#define GDOM_IS_HTML_DIRECTORY_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_DIRECTORY_ELEMENT))
#define GDOM_IS_HTML_DIRECTORY_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_DIRECTORY_ELEMENT))
#define GDOM_HTML_DIRECTORY_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_DIRECTORY_ELEMENT, GdomHTMLDirectoryElementClass))

typedef struct _GdomHTMLDirectoryElementPrivate GdomHTMLDirectoryElementPrivate;

struct _GdomHTMLDirectoryElement {
    GdomHTMLElement parent_instance;
    GdomHTMLDirectoryElementPrivate *priv;
};

struct _GdomHTMLDirectoryElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_directory_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLDirectoryElement_H__ */
